All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::NTimesDerivableFunction< DerivabilityOrder > Class Template Reference
Mathematical functions

Define a function, derivable n times ( ). More...

`#include <roboptim/core/n-times-derivable-function.hh>`

## Public Types

typedef Function::size_type | size_type
| Import size type from function. More...

## Public Member Functions

virtual size_type | derivabilityOrderMax () const
| Returns the maximum derivability order. More...
virtual | ~NTimesDerivableFunction () throw ()
virtual std::ostream & | print (std::ostream &) const throw ()
| Display the function on the specified output stream. More...

## Static Public Attributes

static const size_type | derivabilityOrder = DerivabilityOrder
| Function derivability order. More...

## Protected Member Functions

| NTimesDerivableFunction (size_type outputSize=1, std::string name=std::string()) throw ()
| Concrete class constructor should call this constructor. More...

## Detailed Description

### template<unsigned DerivabilityOrder>
class roboptim::NTimesDerivableFunction< DerivabilityOrder >

Define a function, derivable n times ( ).

## Member Typedef Documentation

template<unsigned DerivabilityOrder>

typedef Function::size_type roboptim::NTimesDerivableFunction< DerivabilityOrder >::size_type

Import size type from function.

## Constructor & Destructor Documentation

template<unsigned dorder>

roboptim::NTimesDerivableFunction< dorder >::~NTimesDerivableFunction | ( |  | ) |
throw | ( |
| ) |  |

virtual

template<unsigned DerivabilityOrder>

roboptim::NTimesDerivableFunction< DerivabilityOrder >::NTimesDerivableFunction | ( | size_type | outputSize = `1`,
|  | std::string | name = `std::string ()`
| ) |  |
throw | ( |
| ) |  |

inline protected

Concrete class constructor should call this constructor.

Parameters

  outputSize | output size (result size)
  name | function name

## Member Function Documentation

template<unsigned DerivabilityOrder>

virtual size_type roboptim::NTimesDerivableFunction< DerivabilityOrder >::derivabilityOrderMax | ( |  | ) | const

inline virtual

Returns the maximum derivability order.

Referenced by roboptim::NTimesDerivableFunction< 2 >::derivative(), and roboptim::NTimesDerivableFunction< 2 >::print().

template<unsigned dorder>

std::ostream & roboptim::NTimesDerivableFunction< dorder >::print | ( | std::ostream & | o | ) | const
throw | ( |
| ) |  |

virtual

Display the function on the specified output stream.

Parameters

  o | output stream used for display

Returns
  output stream

## Member Data Documentation

template<unsigned DerivabilityOrder>

const size_type roboptim::NTimesDerivableFunction< DerivabilityOrder >::derivabilityOrder = DerivabilityOrder

static

Function derivability order.